From 569bfd9c85c83a6e219ca0a7083bbd1d32c6bfa5 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: May 17 2017 09:04:46 +0000
Subject: [PATCH 5/5] Use react-proptypes, React.PropTypes is deprecated


---

diff --git a/hubs/static/client/app/components/Modal.jsx b/hubs/static/client/app/components/Modal.jsx
index 5aa6749..3b18312 100644
--- a/hubs/static/client/app/components/Modal.jsx
+++ b/hubs/static/client/app/components/Modal.jsx
@@ -1,4 +1,5 @@
 import React from 'react';
+import PropTypes from 'prop-types';
 
 
 export default class Modal extends React.Component {
@@ -112,8 +113,8 @@ export default class Modal extends React.Component {
   }
 }
 Modal.propTypes = {
-    open: React.PropTypes.bool,
-    data: React.PropTypes.object
+    open: PropTypes.bool,
+    data: PropTypes.object
 };
 
 
diff --git a/hubs/static/client/app/components/Tab.jsx b/hubs/static/client/app/components/Tab.jsx
index 3dd8b5a..a26e1b7 100644
--- a/hubs/static/client/app/components/Tab.jsx
+++ b/hubs/static/client/app/components/Tab.jsx
@@ -1,4 +1,5 @@
 import React from 'react';
+import PropTypes from 'prop-types';
 
 
 export default class Tab extends React.Component {
@@ -19,7 +20,7 @@ export default class Tab extends React.Component {
 }
 
 Tab.propTypes = {
-  tabLinkClass: React.PropTypes.string,
+  tabLinkClass: PropTypes.string,
 };
 Tab.defaultProps = {
   tabLinkClass: '',
diff --git a/hubs/static/client/app/components/TabSet.jsx b/hubs/static/client/app/components/TabSet.jsx
index e366f37..c3064c5 100644
--- a/hubs/static/client/app/components/TabSet.jsx
+++ b/hubs/static/client/app/components/TabSet.jsx
@@ -1,4 +1,5 @@
 import React from 'react';
+import PropTypes from 'prop-types';
 import Tab from './Tab.jsx';
 import TabPanel from './TabPanel.jsx';
 
@@ -57,10 +58,10 @@ export default class TabSet extends React.Component {
 }
 
 TabSet.propTypes = {
-  tabWrapperProps: React.PropTypes.object,
-  tabType: React.PropTypes.string,
-  tabListClass: React.PropTypes.string,
-  tabContentClass: React.PropTypes.string,
+  tabWrapperProps: PropTypes.object,
+  tabType: PropTypes.string,
+  tabListClass: PropTypes.string,
+  tabContentClass: PropTypes.string,
 };
 TabSet.defaultProps = {
   tabWrapperProps: {},
